@extends ('layouts/template')

@section('content')

    <div id="practice-shipments" class="p-3 mcp-theme-1">
        <div class="card">

            <div class="card-header px-3 py-2 d-flex align-items-center">
                <strong class="mr-4">
                    <i class="fas fa-user-injured"></i>
                    Pros
                </strong>
            </div>
            <div class="card-body p-0">
                <table class="table table-sm table-condensed p-0 m-0">
                    <thead>
                    <tr>
                        <th>First Name</th>
                        <th>Last Name</th>
                        <th>Cell Number</th>
                        <th colspan="3">Sections</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($pros as $pro)
                    <tr>
                        <td>{{$pro->name_first}}</td>
                        <td>{{$pro->name_last}}</td>
                        <td>{{$pro->cell_number}}</td>
                        <td colspan="3">
                            <div>
                                <div moe class="ml-2">
                                    <a start show>Update Data</a>
                                    <form url="/api/hrSection/updateData" class="mcp-theme-1">
                                        <input type="hidden" name="proUid" value="{{$pro->uid}}">
                                        <div class="form-group">
                                            <label class="control-label">Label</label>
                                            <input type="text" name="label" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label for="" class="control-label">Data</label>
                                            <textarea name="data" id="" cols="30" rows="10"
                                                      class="form-control"></textarea>
                                        </div>
                                        <div>
                                            <button submit class="btn btn-sm btn-primary mr-1">
                                                Submit
                                            </button>
                                            <button cancel class="btn btn-sm btn-default border">
                                                Cancel
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div>
                                <table class="table table-condensed table-sm table-striped">
                                    <thead>
                                    <tr>
                                        <th>Label</th>
                                        <th>Data</th>
                                        <th>Status</th>
                                        <th>Proposed Data</th>
                                        <th>Proposed Status</th>
                                        <th>Changes</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($pro->hrSections as $hrSection)
                                    <tr>
                                        <td>{{$hrSection->label}}</td>
                                        <td>
                                            {{$hrSection->data}}
                                            <div moe class="ml-2">
                                                <a start show>Update Data</a>
                                                <form url="/api/hrSection/updateData" class="mcp-theme-1">
                                                    <input type="hidden" name="proUid" value="{{$pro->uid}}">
                                                    <input type="hidden" name="label" value="{{$hrSection->label}}">
                                                    <div class="form-group">
                                                        <label for="" class="control-label">Data</label>
                                                        <textarea name="data" id="" cols="30" rows="10"
                                                                  class="form-control"></textarea>
                                                    </div>
                                                    <div>
                                                        <button submit class="btn btn-sm btn-primary mr-1">
                                                            Submit
                                                        </button>
                                                        <button cancel class="btn btn-sm btn-default border">
                                                            Cancel
                                                        </button>
                                                    </div>
                                                </form>
                                            </div>
                                        </td>
                                        <td>
                                            {{$hrSection->status}}
                                            <div moe class="ml-2">
                                                <a start show>Update Status</a>
                                                <form url="/api/hrSection/updateStatus" class="mcp-theme-1">
                                                    <input type="hidden" name="proUid" value="{{$pro->uid}}">
                                                    <input type="hidden" name="label" value="{{$hrSection->label}}">
                                                    <div class="form-group">
                                                        <label class="control-label">Status</label>
                                                        <input type="text" name="status" class="form-control">
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="" class="control-label">Memo</label>
                                                        <textarea name="memo" id="" cols="30" rows="10"
                                                                  class="form-control"></textarea>
                                                    </div>
                                                    <div>
                                                        <button submit class="btn btn-sm btn-primary mr-1">
                                                            Submit
                                                        </button>
                                                        <button cancel class="btn btn-sm btn-default border">
                                                            Cancel
                                                        </button>
                                                    </div>
                                                </form>
                                            </div>
                                        </td>
                                        <td>
                                            {{$hrSection->proposed_data}}
                                            <div moe class="ml-2">
                                                <a start show>Update Proposed Data</a>
                                                <form url="/api/hrSection/updateProposedData" class="mcp-theme-1">
                                                    <input type="hidden" name="proUid" value="{{$pro->uid}}">
                                                    <input type="hidden" name="label" value="{{$hrSection->label}}">

                                                    <div class="form-group">
                                                        <label for="" class="control-label">Proposed Data</label>
                                                        <textarea name="proposedData" id="" cols="30" rows="10"
                                                                  class="form-control"></textarea>
                                                    </div>
                                                    <div>
                                                        <button submit class="btn btn-sm btn-primary mr-1">
                                                            Submit
                                                        </button>
                                                        <button cancel class="btn btn-sm btn-default border">
                                                            Cancel
                                                        </button>
                                                    </div>
                                                </form>
                                            </div>
                                        </td>
                                        <td>
                                            {{$hrSection->proposed_status}}
                                            <div moe class="ml-2">
                                                <a start show>Update Proposed Status</a>
                                                <form url="/api/hrSection/updateProposedStatus" class="mcp-theme-1">
                                                    <input type="hidden" name="proUid" value="{{$pro->uid}}">
                                                    <input type="hidden" name="label" value="{{$hrSection->label}}">
                                                    <div class="form-group">
                                                        <label class="control-label">Proposed Status</label>
                                                        <input type="text" name="proposedStatus" class="form-control">
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="" class="control-label">Memo</label>
                                                        <textarea name="memo" id="" cols="30" rows="10"
                                                                  class="form-control"></textarea>
                                                    </div>
                                                    <div>
                                                        <button submit class="btn btn-sm btn-primary mr-1">
                                                            Submit
                                                        </button>
                                                        <button cancel class="btn btn-sm btn-default border">
                                                            Cancel
                                                        </button>
                                                    </div>
                                                </form>
                                            </div>
                                        </td>
                                        <td>
                                            <div>
                                                <table class="table table-striped table-condensed table-sm">
                                                    <thead>
                                                    <tr>
                                                        <th>Type</th>
                                                        <th>Old Value</th>
                                                        <th>New Value</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @foreach($hrSection->changes as $change)
                                                        <tr>
                                                            <td>{{$change->change_type}}</td>
                                                            <td>{{$change->getOldValue()}}</td>
                                                            <td>{{$change->getNewValue()}}</td>
                                                        </tr>
                                                    </tbody>
                                                    @endforeach
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>

                        </td>
                    </tr>
                    @endforeach
                    </tbody>
                </table>
                <div>
                    {{$pros->links()}}
                </div>
            </div>
        </div>
    </div>


@endsection
